Fix for version 1.7.0.1 Rated 4 out of 5 stars

Mal: As you ask, to get version 1.7.0.1 to work on Firefox 22+, download
https://alexandre.alapetite.fr/divers/vrac/code.js
to replace the following file
%APPDATA%\Mozilla\Firefox\Profiles\[...]\extensions\linkwidget@clav.mozdev.org\chrome\content\code.js

As a good practice, I encourage you to take a backup of the original file, and to inspect the file you have downloaded, for instance by comparing with the original.
A tool to do so is for instance WinMerge (free).

My previous comment with the manual steps to apply the patch is still available from https://addons.mozilla.org/firefox/addon/link-widgets/reviews/482782/

Quick fix for version 1.7.0.1 Rated 4 out of 5 stars

This great add-on version 1.7.0.1 stopped working in my Firefox 22.It worked again by simply commenting out lines 376 to 386 of %APPDATA%\Mozilla\Firefox\Profiles\[...].default\extensions\linkwidget@clav.mozdev.org\chrome\content\code.js

TypeError: Value does not implement interface XULCommandEvent.
Source file: chrome://browser/content/utilityOverlay.js

Patch for code.js:

loadPage : function(e) {
const url = e.target.linkURL;
/* deleted */
LinkWidgetCore.loadPageInCurrentBrowser(url);
},